		
		<?php foreach($listaBi_analise as $bi_analise) {?>
			
				<tr class="tab_list_item" class="formTab" >
					<td><a href="javaScript:void(0)" class="cor_verde abrir_modal" abrir-modal="#modaleditarbi_analise"  onclick="abrir_por_tipo_analise('<?php echo $bi_analise->getCodigo();?>', '<?php echo $bi_analise->getGrafico()->getTipo();?>')">
						<i class="fa fa-pencil" aria-hidden="true"></i>
						</a>
					</td>
					<td style="width: 80px;">
						<a href="javaScript:void(0)" class="cor_verde" onclick="window.open('Analise_view.php?analise=<?php echo $bi_analise->getCodigo();?>&nome=<?php echo $bi_analise->getNome();?>', '_blank');" >
							Abrir
						</a>
					</td>
					<td><a href="javaScript:void(0)" class="cor_verde" onclick="excluirDados('src/controller/Bi_analiseController.php?mod=excluir&codigo=<?php echo $bi_analise->getCodigo();?>')"><i class="fa fa-trash" aria-hidden="true"></i></td>
					
					<td><?php echo $bi_analise->getCodigo();?></td>
					<td><?php echo $bi_analise->getNome();?></td>
					<td><?php echo $bi_analise->getArea()->getNome();?></td>
					<td><?php echo $bi_analise->getDescricao();?></td>
					
				</tr>
				
			
			<tr class="tab_card_item" >
				<td style=" padding: 10px; float: left; width: 300px; border: solid 1px #f3f1f1; box-shadow: 0px 1px 3px 0px #d9d9d9; margin: 5px; border-radius: 5px; position: relative; height: 60px;">	
				<a href="javaScript:void(0)" style="left: calc(100% - 10px); position: absolute; top: -5px;" class="cor_verde" onclick="excluirDados('src/controller/Bi_analiseController.php?mod=excluir&codigo=<?php echo $bi_analise->getCodigo();?>')"><i style="font-size: 11px; color: #38597a;" class="fa fa-trash" aria-hidden="true"></i>
				<a href="javaScript:void(0)" style="left: calc(100% - 10px); position: absolute; top: 40px;" class="cor_verde" onclick="copiaAnalise('<?php echo $bi_analise->getCodigo();?>');"><i style="font-size: 11px; color: #38597a;" class="fa-solid fa-copy" aria-hidden="true"></i>
				<div class="edit_tab_card_item" style="width: 50px; padding: 8px; color: #394d60; left; background: #f2f2f2; height: 100%; position: absolute; top: 0; left: 0;">
					<a href="javaScript:void(0)" class=" abrir_modal" abrir-modal="#modaleditarbi_analise"  onclick="abrir_por_tipo_analise('<?php echo $bi_analise->getCodigo();?>', '<?php echo $bi_analise->getGrafico()->getTipo();?>')">
						<i class="fa fa-pencil" aria-hidden="true" style="color: #38597a; font-size: 13px;"></i>
					</a>
					<br>
					<a href="javaScript:void(0)" style="color: #38597a; font-size: 13px;" class="" onclick="window.open('Analise_view.php?analise=<?php echo $bi_analise->getCodigo();?>&nome=<?php echo $bi_analise->getNome();?>', '_blank');" >
						Abrir
					</a>
					
				</div>	
				<div style=" float: left; margin-top: 5px; margin-left: 50px; color: #5080af;">
					<?php 
						if($bi_analise->getGrafico()->getTipo_js() == "widget")
						{
							echo '<i class="fa-regular fa-square" style="color: #38597a;"></i>';
						}
						elseif(! empty($bi_analise->getGrafico()->getTipo_js()))
						{
							echo '<i class="fa-solid fa-chart-'.$bi_analise->getGrafico()->getTipo_js().'" style="color: #38597a;"></i>';
						}
						else
						{
							echo '<i class="fa-solid fa-table" style="color: #38597a;"></i>';
						}
					
					?>
				</div>	
				<div style=" width: 200px; float: left; font-size: 12px; margin-top: <?php if(strlen($bi_analise->getNome()) > 21) {echo "-6px;";} else {echo "0px;";}?> margin-left: 5px; color: #38597a;">
					<?php echo $bi_analise->getCodigo()." ";
					if(strlen($bi_analise->getNome()) > 60)
					{
						echo substr($bi_analise->getNome(),0,60)."...";
					}
					else
					{
						echo $bi_analise->getNome();
					}
					?>
					<br>
					<span style="font-size: 11px; color: #8498b3;">Área: <?php echo $bi_analise->getArea()->getNome();?></span>
				</div>	
				</td>
			</tr>
			
		<?php }?>
		
		<script>
			$(".cards").html("");
			$('.tab_card_item').each(function() {
				$(".cards").append($(this).html());
			});
			$(".tab_card_item").remove();
			
			monta_conteudo_tabulator("#iniciar_tabulatorbi_analise", "#listtablebi_analise");
			
			
			function abrir_por_tipo_analise(codigo, tipo)
			{
				$("#modal_conteudobi_analise").html("Carregando...");
				if(tipo.trim() == "")
				{
					$("#modal_conteudobi_analise").load("src/controller/Bi_analiseControllerUser.php?mod=form_analise&codigo="+codigo);
				}
				else if(tipo.trim() == "Widget")
				{
					$("#modal_conteudobi_analise").load("src/controller/Bi_analiseControllerUser.php?mod=form_widget&codigo="+codigo);
				}
				else if(tipo.trim() == "Mapa")
				{
					$("#modal_conteudobi_analise").load("src/controller/Bi_analiseControllerUser.php?mod=form_mapa&codigo="+codigo);
				}
				else
				{
					$("#modal_conteudobi_analise").load("src/controller/Bi_analiseControllerUser.php?mod=form_grafico&codigo="+codigo);
				}
			}
		</script>
